drawkcaB | Backward Compatible logo

rants and tips about software

Workrave on Slackware 12.1

New version of Slackware, and need to compile Workrave from sources again (package I made for 12.0 does not work due to a newer Gtk version). After a lot of experimenting, here are the versions that work together:

# cairomm 1.2.2
# gdome2 0.8.1
# glibmm 2.14.2
# gnet 2.0.8
# gtkmm 2.12.7
# libsigc++ 1.2.7
# libsigc++ 2.0.18

The end result is working Workrave 1.8.5. This time I compiled everything with KDE detection enabled, so session management and locking works fine.

If you don’t have the nerve or time to compile it yourself, you can download all the packages from here:

http://www.guacosoft.com/workrave/

If you didn’t already do it for some other reason, you need to install libsigc++ 2.0.18 package from linuxpackages.net:

http://www.linuxpackages.net/download.php?id=11527

Until the next version of Slackware… enjoy.

Milan Babuškov, 2008-07-22
Copyright © Milan Babu┼íkov 2006-2014